# Uses of Enum Class
org.bukkit.block.data.Bisected.Half

Packages that use Bisected.Half
Package
Description
org.bukkit.block.data
Generalized BlockData classes.

## Uses of Bisected.Half in org.bukkit.block.data

Methods in org.bukkit.block.data that return Bisected.Half
Modifier and Type
Method
Description
`@NotNull Bisected.Half`
Bisected.`getHalf()`
Gets the value of the 'half' property.
`static Bisected.Half`
Bisected.Half.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Bisected.Half[]`
Bisected.Half.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.block.data with parameters of type Bisected.Half
Modifier and Type
Method
Description
`void`
Bisected.`setHalf(@NotNull Bisected.Half half)`
Sets the value of the 'half' property.